petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSetField

Set the discretization object for a given DM field

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetField(DM dm, PetscInt f, PetscObject field)

Logically collective on DM

### Input Parameters

| dm | - The DM
| f | - The field number
| field | - The discretization object

### See Also

DMGetField()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/dm/field/examples/tutorials/ex1.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages